<?php

  global $der;

  // Favicon
  $favicon = $der->option('favicon');

?>
<!DOCTYPE html>
<!--[if IE 8 ]><html class="ie ie8 no-js" lang="en"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--><html class="no-js" lang="en"> <!--<![endif]-->
<head>

<meta charset="utf-8" />
<title><?php wp_title('&#150;',true, 'right'); bloginfo('name'); ?></title>
<meta name="description" content="<?php bloginfo('description') ?>" />
<meta name="author" content="" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />

<?php if ($favicon): ?>
<link rel="shortcut icon" type="image/<?php echo $favicon_extension; ?>" href="<?php echo $favicon; ?>" /><?php
  
  // Render touch icons only if user has a favicon specified.

  $touch_icons = array(
    'touch_icon_57' => 57,
    'touch_icon_72' => 72,
    'touch_icon_114' => 114
  );

  foreach ($touch_icons as $key => $size) {
    $val = $der->option($key);
    if ($val) {
      printf("\n" . '<link rel="apple-touch-icon" sizes="%dx%d" href="%s" />', $size, $size, $val);
    }
  }
  
?>

<?php else: ?>
<link rel="shortcut icon" type="image/png" href="<?php echo $der->uri('core/images/favicon.png', THEME_VERSION); ?>" />
<link rel="apple-touch-icon" sizes="57x57" href="<?php echo $der->uri('core/images/apple-touch-icon.png', THEME_VERSION) ?>" />
<link rel="apple-touch-icon" sizes="72x72" href="<?php echo $der->uri('core/images/apple-touch-icon-72x72.png', THEME_VERSION);  ?>" />
<link rel="apple-touch-icon" sizes="114x114" href="<?php echo $der->uri('core/images/apple-touch-icon-114x114.png', THEME_VERSION); ?>" />
<?php endif; ?>

<?php wp_head(); 
  
?>

<!--[if IE 8]>
<script type="text/javascript" src="<?php echo $der->uri('core/js/html5.min.js', THEME_VERSION); ?>"></script>
<script type="text/javascript" src="<?php echo $der->uri('core/js/css3-mediaqueries.js', THEME_VERSION); ?>"></script>
<script type="text/javascript" src="<?php echo $der->uri('core/js/es5-shim.min.js', THEME_VERSION); ?>"></script>
<![endif]-->

<!--[if (gte IE 9)|!(IE)]><!-->
<!--<![endif]--><link rel="stylesheet" type="text/css" href="<?php echo $der->uri(theme_asset_path('css'), THEME_VERSION) ?>" />
<!--<![endif]-->

<!--[if IE 8]>
<link rel="stylesheet" type="text/css" href="<?php echo $der->uri('core/css/responsive.css', THEME_VERSION) ?>" />
<link rel="stylesheet" type="text/css" href="<?php echo $der->uri('core/css/ie8.css', THEME_VERSION) ?>" />
<![endif]-->

<!--[if gte IE 8]>
<link rel="stylesheet" type="text/css" href="<?php echo $der->uri('core/css/ie.css', THEME_VERSION) ?>" />
<![endif]-->

<?php

  $custom_stylesheet = trim($der->option('custom_stylesheet'));
  
  if ($custom_stylesheet):
    
    $der->set_context('color-editor'); 
    $brandColor = $der->option('brandColor', '#f74b00');
    $der->reset_context();

?><link rel="stylesheet" type="text/css" href="<?php echo $der->uri('core/styles/' . $custom_stylesheet, THEME_VERSION) ?>" /><?php

  else:
  
    $brandColor = '#f74b00';

  endif;
  
  // Append custom css
  
  theme_custom_css();

?>

</head>
<body <?php body_class(); ?> data-branding="brandColor: <?php echo $brandColor; ?>">
  
<div id="topbar"></div>

<!-- [header] -->

<?php

  // Logo Alignment
  $logo_alignment = strtolower($der->option('logo_alignment', 'Left'));
  
  // Logo Image
  $logo_image = $der->option('logo_image', $der->uri('core/images/logo.png', THEME_VERSION));

?>
<section id="header-bg">
  
<header role="banner" id="header-wrap" class="container centered">
  <div id="header" class="sixteen columns logo-<?php echo $logo_alignment ?>" style="padding-top: 37px;">
<?php

  if ($logo_alignment == 'center') printf('<div class="social-icons-center text-center">'."\n");

?>
    <ul class="social-icons hfloat" data-hover-color="red: 247, green: 85, blue: 14">
      <li class="text"><?php echo esc_html($der->option('header_tagline')); ?></li>
<?php

  // Social Network Information
  $social_data = $der->get_option('social_data');
  
  if (!empty($social_data)): foreach ($social_data as $key => $vals):

?>
      <li class="icon"><a href="<?php echo $vals['url'] ?>"><img alt="<?php echo $vals['title'] ?>" src="<?php echo $der->uri('core/images/social-icons/' . $key . '.png', THEME_VERSION) ?>" /></a></li>
<?php endforeach; endif; ?>
    </ul><!-- .social-icons -->
<?php

  if ($logo_alignment == 'center') printf('</div><!-- .text-center -->'."\n");

?>

  <div id="logo" class="logo clearfix" style="padding-top: 2px;"><a href="<?php echo home_url(); ?>"><img alt="<?php bloginfo('name') ?>" src="<?php echo $logo_image; ?>" /></a></div>
    
<!-- [navigation] -->

<?php

  if ($logo_alignment == 'center') printf('<div class="text-center">'."\n");

?>

<ul class="navigation hfloat">
<?php

  echo $der->menu('header-navigation');
  
?>
<li class="search hoverable noselect"></li>
</ul><!-- .navigation -->

<?php

  if ($logo_alignment == 'center') printf('</div><!-- .text-center -->'."\n");

?>

<!-- [/navigation] -->

    <select id="mobile-nav"></select>
  </div><!-- header -->
</header><!-- header-wrap -->

</section><!-- header-bg -->

<!-- [/header] -->
