<?php

  global $der, $theme_options;
  
  /////////////////////////////////////////////
  // LAYOUTS
  /////////////////////////////////////////////
  
  $theme_options['Layouts'] = array(
    
    'Layout Configuration' => array(
      'type' => 'message',
      'content' => 'You can create and edit layouts using the <a href="admin.php?page=layout-editor">Layout Editor</a>.'
    ),
    
    'Homepage Layout' => array(
      'type' => 'layout',
      'id' => 'homepage_layout',
      'description' => "Layout to use for the Homepage."
    ),
    
    'Single Posts Layout' => array(
      'type' => 'layout',
      'id' => 'single_layout',
      'description' => "Layout to use for the Single Posts."
    ),
    
    'Portfolio Posts Layout' => array(
      'type' => 'layout',
      'id' => 'portfolio_layout',
      'description' => "Layout to use for the Portfolio Posts.
      
<strong>Note:</strong> overrides single posts layout."
    ),
    
    'Pages Layout' => array(
      'type' => 'layout',
      'id' => 'page_layout',
      'description' => "Layout to use for Pages."
    ),
    
    'Archives Layout' => array(
      'type' => 'layout',
      'id' => 'archives_layout',
      'description' => "Layout to use for the Archive Pages."
    ),
    
    'Search Layout' => array(
      'type' => 'layout',
      'id' => 'search_layout',
      'description' => "Layout to use for the Search Results."
    ),
    
    '404 Layout' => array(
      'type' => 'layout',
      'id' => '404_layout',
      'description' => "Layout to use for the 404 Error."
    )
    
  );
  
  /////////////////////////////////////////////
  // TYPOGRAPHY
  /////////////////////////////////////////////

  $theme_options['Typography'] = array(

    'Google Webfonts' => array(
      'type' => 'message',
      'content' => '
There are <strong class="webfonts-count"></strong> fonts available. &nbsp; <a class="update-webfonts-link" href="' . admin_url('admin-ajax.php?action=webfonts_update') . '">Update</a> &nbsp; | &nbsp; <a target="_blank" href="http://google.com/webfonts">Browse</a>

    '),

    'Webfonts Enabled' => array(
      'type' => 'select',
      'id' => 'webfonts_enabled',
      'description' => 'Whether or not to enable web fonts.',
      'default' => "yes",
      'values' => array(
        'yes' => "Yes",
        'no' => "No"
      )
    ),
    
    'Base Font Size (pixels)' => array(
      'type' => 'text',
      'id' => 'base_font_size',
      'description' => 'Base font size to use. All text will scale proportionally.',
      'default' => '12'
    ),

    'Main Font' => array(
      'type' => 'select',
      'id' => 'webfont',
      'default' => "Open Sans",
      'description' => 'Font to use for your site\'s typography.

<a class="preview-font" target="_blank" href="http://google.com/webfonts">View Specimen &raquo;</a>
',
      'update_fonts' => true,
      'default' => "Open Sans"
    ),

    'Subset' => array(
      'type' => 'checkbox',
      'id' => 'webfont_subsets',
      'description' => 'Subsets to use for your font.',
      'values' => array()
    ),

    'Font Weights' => array(
      'type' => 'checkbox',
      'id' => 'webfont_variants',
      'description' => 'Weights to use for your font',
      'values' => array()
    ),
    
    'Headings & Navigation Font' => array(
      'type' => 'select',
      'id' => 'headings_font',
      'default' => "Open Sans",
      'description' => 'Font to use for headers & navigation.

<a class="preview-font" target="_blank" href="http://google.com/webfonts">View Specimen &raquo;</a>
',
      'update_fonts' => true,
      'default' => "Open Sans"
    ),

    'Subset ' => array(
      'type' => 'checkbox',
      'id' => 'headings_font_subsets',
      'description' => 'Subsets to use for your font.',
      'values' => array()
    ),

    'Font Weights ' => array(
      'type' => 'checkbox',
      'id' => 'headings_font_variants',
      'description' => 'Weights to use for your font.',
      'values' => array()
    ),

  );
  
  /////////////////////////////////////////////
  // SIDEBARS
  /////////////////////////////////////////////

  $theme_options['Sidebars'] = array(

    "Sidebars" => array(
      'type' => 'textarea',
      'id' => 'sidebars',
      'rows' => 14,
      'default' => THEME_DEFAULT_SIDEBAR,
      'description' => sprintf("Sidebars to add to your site. 

Add them <u>one per line</u>.

<a style='text-decoration: none;' href='%s'>&ndash; Manage Widgets &ndash;</a>", admin_url('widgets.php'))
    )

  );
  
  /////////////////////////////////////////////
  // HEADER
  /////////////////////////////////////////////
  
  $theme_options['Header'] = array(
    
    'Logo Image' => array(
      'type' => 'upload',
      'id' => 'logo_image',
      'description' => "Image to use as your site's logo."
    ),
    
    'Breadcrumb Home' => array(
      'type' => 'text',
      'id' => 'breadcrumb_base_name',
      'description' => "Text to use as the breadcrumb home."
    ),
    
    'Header Tagline' => array(
      'type' => 'text',
      'id' => 'header_tagline',
      'description' => "Text to display next to the social icons."
    ),
    
    "Logo Alignment" => array(
      'type' => 'select',
      'id' => 'logo_alignment',
      'values' => array(
        'left' => "Left",
        'center' => "Center",
        'right' => "Right"
      ),
      'description' => "Alignment of the logo in the header."
    )
    
  );
  
  /////////////////////////////////////////////
  // FOOTER
  /////////////////////////////////////////////

  $theme_options['Footer'] = array(
    
    'Twitter Feed' => array(
      'type' => 'select',
      'id' => 'twitter_feed',
      'default' => 'disabled',
      'values' => array(
        'enabled' => "Enabled",
        'disabled' => "Disabled"
      ),
      'description' => "Display twitter feed on footer."
    ),
    
    'Twitter Username' => array(
      'type' => 'text',
      'id' => 'twitter_username',
      'description' => "Twitter username to use."
    ),
    
    'Tweet Count' => array(
      'type' => 'text',
      'id' => 'tweet_count',
      'default' => '5',
      'description' => "Number of tweets to retrieve."
    ),
    
    'Tweet Autoplay Interval (ms)' => array(
      'type' => 'text',
      'id' => 'tweet_cycle_interval',
      'default' => '5000',
      'description' => "Amount of seconds to wait before cycling tweets."
    ),

    'Enable Widgets' => array(
      'type' => 'select',
      'id' => 'enable_footer_widgets',
      'default' => 'yes',
      'values' => array(
        'yes' => "Yes",
        'no' => "No"
      ),
      'description' => "Footer widgets display setting."
    ),
    
    'Widget Columns' => array(
      'type' => 'select',
      'id' => 'footer_columns',
      'default' => 4,
      'values' => '1, 2, 3, 4, 5',
      'description' => "Number of widget columns."
    ),
    
    'Copyright Information' => array(
      'type' => 'textarea',
      'id' => 'copyright_info',
      'rows' => '7',
      'description' => "Information to display about your site on the footer's copyright area.
      
HTML allowed."
    )
    
  );
  
  
  /////////////////////////////////////////////
  // FAVICON
  /////////////////////////////////////////////
  
  $theme_options['Favicon'] = array(
    
    "Site Favicon" => array(
      'type' => 'upload',
      'id' => 'favicon',
      'description' => "Favicon to use on your site."
    ),
    
    "Touch Icon (57x57)" => array(
      'type' => 'upload',
      'id' => 'touch_icon_57',
      'description' => "Mobile device icon (small)."
    ),
    
    "Touch Icon (72x72)" => array(
      'type' => 'upload',
      'id' => 'touch_icon_72',
      'description' => "Mobile device icon (medium)."
    ),
    
    "Touch Icon (114x114)" => array(
      'type' => 'upload',
      'id' => 'touch_icon_114',
      'description' => "Mobile device icon (big)."
    )
    
  );
  
  /////////////////////////////////////////////
  // ADVANCED
  /////////////////////////////////////////////

  $theme_options['Advanced'] = array(
    
    'Custom Stylesheet' => array(
      'type' => 'stylesheet',
      'id' => 'custom_stylesheet',
      'description' => 'Stylesheet to use to customize your site\'s appearance. 

The <code>custom.css</code> stylesheet is generated by the <strong>Color Editor</strong>, and is selected by default.',
      'first_empty' => true,
      'default' => 'custom.css'
    ),
    
    'Serve Assets' => array(
      'type' => 'select',
      'id' => 'asset_mode',
      'description' => "Determines how the CSS and JS assets are served.",
      'default' => 'minified',
      'values' => array(
        'minified' => "Minified",
        'raw' => "Raw"
      )
    ),
    
    'Timthumb Image Compression Quality' => array(
      'type' => 'text',
      'id' => 'timthumb_quality',
      'default' => 100,
      'description' => "Compression ratio to use when generating thumbnails.",
    ),
    
    'Custom CSS Code' => array(
      'type' => 'code',
      'id' => 'custom_css',
      'description' => "CSS Code to add to your site.",
      'rows' => 10
    ),
    
    'Custom JavaScript Code' => array(
      'type' => 'code',
      'id' => 'custom_javascript',
      'description' => "JavaScript Code to add to your site.
      
The code you add here runs is executed <code>DOM Ready</code> event.",
      'rows' => 10
    ),
    
    'Analytics Tracking Code' => array(
      'type' => 'textarea',
      'id' => 'analytics',
      'rows' => 14,
      'description' => "Your site's analytics tracking code."
    )
    
  );
  

  /////////////////////////////////////////////
  // MAINTENANCE
  /////////////////////////////////////////////

  $theme_options['Maintenance'] = array(

      'ThemeForest Username' => array(
        'type' => 'text',
        'id' => 'tf_username',
        'description' => "Your ThemeForest username.
        
This is <u>needed</u> to generate the theme's <strong>download link</strong> whenever a new update is available.",
      ),
      
      'Blocked Theme Purchase Code' => array(
        'type' => 'text',
        'id' => 'tf_purchase_code',
        'description' => "The theme's <a target='_blank' href='http://support.der-design.com/discussion/1111/how-do-i-get-my-purchase-code-s'>Purchase Code</a>.
        
This is <u>needed</u> to generate the theme's <strong>download link</strong> whenever a new update is available.",
      ),

      'Restore Layout Data' => array(
        'type' => 'textarea',
        'id' => 'layout_data_restore',
        'rows' => 20,
        'description' => 'Use this to restore your layout backup data from a JSON file.

  Paste the file contents on this field.

  <a href="' . admin_url("admin.php?page=layout-editor&backup=1") . '" style="opacity: 1">Download Layouts Backup &raquo;</a>',
        'first_empty' => true,
        'default' => ''
      ),

    );


?>