<?php

  /* Theme Admin functions */
  
  global $der, $content_width;
  
  // Set content width if it's not set
  $content_width = 960;
  
  // Set gallery thumb image
  add_image_size('gallery-manager-thumb', GI_THUMB_WIDTH, GI_THUMB_HEIGHT, true);
  
  add_action('framework_save_meta', 'custom_posts_save_meta');
  add_action('color-scheme_save', 'update_color_scheme');
  
  // Editor styles
  add_editor_style('core/css/editor-mce.css');
  
  // Loads custom metaboxes
  $der->load_metaboxes('post, page, gallery, icon-post, portfolio, pricing, person');
  
  // Load option pages
  // $der->option_pages(array());

  /* Slide post meta key filter */
  
  function custom_posts_save_meta($keys) { global $der;
    // Makes sure the 'order' meta key is set
    $order_key = $der->key('order');
    if (empty($_POST[$order_key])) {
      $_POST[$order_key] = 1;
    }
  }
  
  /* Update gallery images when rendering metaboxes */
  
  function gallery_thumbs_auto_update() { global $der;
    $images = json_decode($der->postmeta('gallery_images'), true);
    if ( is_array($images) ) {
      foreach ($images as $img) {
        $img = preg_replace("/\?.+$/", '', $img['image']);
        $der->thumb_src($img, GI_THUMB_WIDTH, GI_THUMB_HEIGHT);
      }
    }
  }

?>