<?php

  /* Theme Common */
  
  global $der;
  
  add_filter('the_excerpt_rss', 'theme_add_rss_content');
  add_filter('the_content_feed', 'theme_add_rss_content');
  add_filter('media_send_to_editor', 'custom_media_send_to_editor');
  
  /* Load Widgets */
  
  $der->load_widgets('latest-posts, advertising, flickr, google-map, shortcode, php-code');
  
  /* Add Sidebars */
  
  $sidebars = list2array($der->option('sidebars', THEME_DEFAULT_SIDEBAR));

  $sidebars = array_merge($sidebars, list2array(THEME_FOOTER_SIDEBARS));
  
  foreach ($sidebars as $sidebar) {
    $der->add_sidebar(array(
      'id' => id_from_str($sidebar),
      'name' => $sidebar,
      'before_widget' => "\n".'<div id="%1$s" class="widget %2$s">',
      'after_widget' => "\n".'</div><!-- widget -->',
      'before_title' => "\n" . '<h3 class="title">',
      'after_title' => "</h3>\n"
    ));
  }

  /* Sets order of slide posts using the 'order' meta key */
  
  add_filter('pre_get_posts', 'custom_posts_query_filter');
  
  $order_post_types = array('slide', 'icon-post', 'pricing', 'person');

  function custom_posts_query_filter() { global $der, $wp_query, $order_post_types;
    $post_type = isset($wp_query->query['post_type']) ? $wp_query->query['post_type'] : null;
    if (in_array($post_type, $order_post_types)) {  
      $wp_query->set('meta_key', $der->key('order')); // Meta key defaults to 1 (theme-admin.php)
      $wp_query->set('orderby', 'meta_value_num');  
      $wp_query->set('order', 'ASC');
    }
  }
  
  /* Set the RSS Featured post image or video */
  
  function theme_add_rss_content($content) { global $der;
    $out = '';
    $img = $der->post_thumb(500, 0);
    if ($img) $out .= sprintf('<p><img alt="%s" src="%s" /></p>'."\n", get_the_title(), $img);
    $media = $der->postmeta('multimedia');
    if ($media) $out .= sprintf('<p><img src="%s" /> <a href="%s">%s<br/></a></p>'."\n", $der->uri('framework/assets/media.png', THEME_VERSION), $media, $media);
    return $out . $content;
  }
  
  function custom_media_send_to_editor($html) { global $der;
    preg_match("/href='(.*?)'/", $html, $matches);
    if ($matches) $der->thumb_src($matches[1], GI_THUMB_WIDTH, GI_THUMB_HEIGHT); // Create thumb automatically
    return $html;
  }

?>