<?php

  /* Theme Init */

  global $der, $pagenow;
  
  // Load custom post types
  $der->load_post_types('post, page, gallery, portfolio, icon-post, pricing, person');
  
  // Register custom nav menus
  register_nav_menus(array(
    'header-navigation' => __("Header Navigation", "theme")
  ));
  
  if (is_admin()) {
    
    // Layout Editor Reset options
    
    add_filter('theme-options-save', 'layout_editor_restore');
    
    function layout_editor_restore($options) { global $der;
      
      if (!empty($options['layout_data_restore'])) {
        $json = stripslashes($options['layout_data_restore']);
        $array = (array) json_decode($json, true);
        $der->update_option('layouts', $array);
        $der->update_option('layouts_json', $json);
      }
      
      unset($options['layout_data_restore']);
      
      return $options;

    }
    
    
    // Color scheme update

    define('SCHEME_STYLESHEET', $der->path('core/styles/custom.css'));
    
    add_action('theme_options_save', 'update_color_scheme', 100, 2);
    add_action('theme_options_reset', 'reset_color_scheme', 100);
    
    function update_color_scheme($context, $options) { global $der;
      
      if ($context == 'color-editor') {
    
        require($der->path('framework/lib/lessc.inc.php'));

        $template = @file_get_contents($der->path('includes/colors/template.less.mustache'));
        
        $other_colors = @file_get_contents($der->path('includes/colors/other-colors.less.mustache'));
        
        $less = $der->render($template . "\n" . $other_colors, $options);
        
        $compiler = new lessc();
        
        $compiler->setFormatter('compressed');

        $css = $compiler->parse($less);
        
        @file_put_contents(SCHEME_STYLESHEET, $css);
        
      }

    }
    
  
    function reset_color_scheme($context) {
      
      if ($context == 'color-editor') {
        
        @file_put_contents(SCHEME_STYLESHEET, '');
        
      }
      
    }
    
  }
  
?>