<?php

add_action('widgets_init', 'FlickrWidget::register');

class FlickrWidget extends WidgetFramework {
  
  function __construct() {
    
    $this->initialize(array(
      'id' => 'flickr-component',
      'title' => "Flickr Gallery",
      'description' => "Displays flickr images",
      'defaults' => array(
        'title' => __("Flickr Gallery", "theme"),
        'username' => '',
        'source' => 'user',
        'display' => 'latest',
        'count' => 3,
        'cache_timeout' => 60
      )
    ));
    
  }
  
  static function register() {
    register_widget(__CLASS__);
  }
  
  function render($args) { global $der;
    extract($args);
    if ($username) {
      $query = $der->uri(sprintf('framework/flickr-json.php?count=%d&amp;display=%s&amp;size=s&amp;layout=x&amp;source=%s&amp;%s=%s', $count, $display, $source, $source, $username));
      $query = str_replace('user_set=', 'set=', $query);
      printf('<span class="flickr-gallery" data-cache-timeout="%d" data-query="%s"></span>', $cache_timeout, $query);
    }
  }
  
  function admin($instance) {
    
    $this->text(array(
      'id' => 'username',
      'title' => "Flickr ID",
      'description' => "Flickr User ID. &nbsp;<a target='_blank' href='http://idgettr.com/'>Don't know your ID?</a>."
    ));
    
    $this->select(array(
      'id' => 'source',
      'title' => "Photos Source",
      'description' => "The source from which the photos will be retrieved.",
      'values' => array(
        'user' => "Flickr User",
        'group' => "Flickr Group",
        'user_set' => "Flickr Set"
      )
    ));
    
    $this->select(array(
      'id' => 'display',
      'title' => "Photos Display",
      'description' => "Which criteria to use when retrieving images.",
      'values' => array(
        'latest' => "Latest Images",
        'random' => "Random Images"
      )
    ));
    
    $this->text(array(
      'id' => 'count',
      'title' => "Number of Images",
      'description' => "Amount of Images to display."
    ));
    
    $this->text(array(
      'id' => 'cache_timeout',
      'title' => "Cache Timeout (mins)",
      'description' => "Cache the flickr queries to improve performance."
    ));
    
  }
  
}

?>