<?php

add_action('widgets_init', 'PhpWidget::register');

class PhpWidget extends WidgetFramework {
  
  function __construct() {

    $this->initialize(array(
      'id' => 'php-code',
      'title' => "PHP Code",
      'description' => "Runs custom PHP Code",
      'defaults' => array(
        'title' => "",
        'code' => null
      )
    ));

  }
  
  static function register() {
    register_widget(__CLASS__);
  }
  
  function render($args) {
    php_code_component($args);
  }
  
  function admin($instance) {
    
    $this->textarea(array(
      'id' => 'code',
      'title' => "PHP Code",
      'description' => "Code to execute.
<br/><br/><strong>DISCLAIMER: ONLY USE THIS IF YOU REALLY KNOW WHAT YOU'RE DOING.</strong>
      "
    ));
    
  }
  
}

/* Note: this function is also used by the PHP Code Layout Component */

function php_code_component($args, $content='', $cb='') {
  $code = $args['code'];
  if ($cb == 'php_code') {
    $open = sprintf("\n".'<div class="component %s%s">'."\n", $args['columns_class'], ($args['hide_on_mobile'] ? ' mobile_hide' : ''));
    if ($args['section_title']) $open .= sprintf('<h3 class="section-title">%s</h3>' . "\n", esc_html($args['section_title']));
    $close = "\n</div><!-- php-code -->\n";
  } else {
    $open = $close = '';
  }
  $func = create_function('', $code);
  echo $open;
  echo $func(); // Using echo to catch return value (if any)
  echo $close;
  return;
}

?>